Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Library providing the FAM File Alteration Monitor API
Name:		gamin
Version:	0.1.9
Release:	2
Provides:	fam
Obsoletes:	fam
License:	GNU/GPL	
URL:		http://www.gnome.org/~veillard/gamin/index.html
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires: 	glib-devel python python-devel
BuildRequires: 	automake libtool


%description
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%package devel
Summary: 	Libraries, includes, etc. to embed the Gamin library
Group: 		Development/Libraries
Requires: 	gamin = %{version}
Obsoletes: 	fam-devel
Provides: 	fam-devel

%description devel
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%package python
Summary: 	Python bindings for the gamin library
Group: 		Development/Libraries
Requires: 	gamin = %{version}
Requires: 	%{_libdir}/python%(echo `python -c "import sys; print sys.version[0:3]"`)

%description python
The gamin-python package contains a module that allow monitoring of
files and directories from the Python language based on the support
of the gamin package.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
autoreconf --force --install
%configure --with-threads --libexecdir=%_libdir/gamin
make

%install
rm -fr %{buildroot}

make install DESTDIR=%{buildroot}


%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README Copyright TODO
%doc doc/*.html
%doc doc/*.gif
%doc doc/*.txt
%{_libdir}/lib*.so.*
%{_libdir}/gamin/gam_server

%files devel
%defattr(-, root, root)
%{_libdir}/*.la
%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/fam.h
%{_libdir}/pkgconfig/gamin.pc

%files python
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README Copyright TODO
%{_libdir}/python*/site-packages/gamin.py*
%{_libdir}/python*/site-packages/_gamin*
%doc python/tests/*.py
%doc doc/python.html

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 0.1.9-2
- moved libexecdir
* Fri Aug 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.1.9-1
- Version update
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 0.1.8-1
- Version update
* Mon Sep 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.1.7-4
- gamin replaces fam
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.1.7-3
- rebuilt against python 2.5
* Sun Feb 04 2006 Christian Wasem <wasem@ccux-linux.de> 0.1.7-2
- moving more files to devel package
* Thu Feb 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.1.7-1
- Initial Release
